package com.xydl.cac.model.spectrogram;

import lombok.Data;

import java.io.DataInputStream;
import java.util.ArrayList;
import java.util.List;

@Data
public class YspModel extends SpectrogramModel {
    Integer code;
    Integer length;
    Long createTime;
    Integer flag;
    Float xInterval;
    Float yMax;
    Integer xUnit;
    Integer yUnit;
    Integer k;
    Integer m;
    List<YspWay> wayList = new ArrayList<>();

    public void readFrom(DataInputStream dis) throws Exception {
        code = dis.read();
        length = dis.readInt();
        createTime = dis.readLong();
        flag = dis.read();
        xInterval = dis.readFloat();
        yMax = dis.readFloat();
        xUnit = dis.read();
        yUnit = dis.read();
        k = dis.readInt();
        m = dis.read();
        for (int i = 0; i < m; i++) {
            YspWay way = new YspWay();
            way.readFrom(dis, k);
            wayList.add(way);
        }
    }
}
